LIB_ENGINE_FD = @LIB_ENGINE_FD@
GPLC          = @GPLC@
RANLIB        = @RANLIB@
CC            = @CC@
CFLAGS        = @CFLAGS@
EXEEXT        = @EXEEXT@

LIBNAME = $(LIB_ENGINE_FD)
OBJLIB  = fd_inst.o fd_range.o  fd_unify.o


.SUFFIXES:
.SUFFIXES: .o .c .fd $(SUFFIXES)


$(LIBNAME): $(OBJLIB)
	rm -f $(LIBNAME) 
	ar rc $(LIBNAME) $(OBJLIB)
	$(RANLIB) $(LIBNAME)


.fd.o:
	$(GPLC) -c -C '$(CFLAGS)' $*.fd

.c.o:
	$(GPLC) -c -C '$(CFLAGS)' $*.c




fd_inst.o: fd_inst.h fd_inst.c fd_range.h fd_hook_range.h

fd_range.o: fd_range.h fd_hook_range.h fd_range.c

fd_unify.o: fd_unify.fd



clean:
	rm -f *.o $(LIBNAME)

 
distclean: clean
